/***************************************************************************
 *   copyright       : (C) 2009-2010 by Pascal Brachet                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "affectationdialog.h"

#include <QMessageBox>
#include <QFile>
#include <QTextStream>
#include <QTextCodec>

AffectationDialog::AffectationDialog(QWidget *parent, QString variables, QString types )
    :QDialog( parent)
{
ui.setupUi(this);
setModal(true);

QTextCodec *codec = QTextCodec::codecForName("UTF-8");
QString contenu;
QFile aide(":/documents/aideaffectation.txt");
aide.open(QIODevice::ReadOnly);
QTextStream in(&aide);
in.setCodec(codec);
while (!in.atEnd()) 
	{
	contenu+= in.readLine()+"\n";
	}
aide.close();
ui.textEdit->setHtml(contenu);

listeVariables=variables.split("#");
listeTypes=types.split("#");
ui.comboBoxAffectation->addItems(listeVariables);
ui.labelAffectation3->setEnabled(false);
ui.lineEditAffectation2->setEnabled(false);
if (ui.comboBoxAffectation->count()>0) ActualiserWidget(ui.comboBoxAffectation->currentIndex());
connect(ui.comboBoxAffectation, SIGNAL(activated(int)),this,SLOT(ActualiserWidget(int)));
}

AffectationDialog::~AffectationDialog(){
}

void AffectationDialog::accept()
{
if ( ui.lineEditAffectation2->isEnabled() && ui.lineEditAffectation2->text().isEmpty()) 
	{
	QMessageBox::warning( this,QString::fromUtf8("Erreur"),QString::fromUtf8("Rectifiez le rang du terme de la liste : il est vide"));
	return;
	}
QDialog::accept();
}

void AffectationDialog::ActualiserWidget(int index)
{
if (listeTypes.at(index)=="LISTE")
    {
    ui.lineEditAffectation2->clear();
    ui.labelAffectation3->setEnabled(true);
    ui.lineEditAffectation2->setEnabled(true);
    }
else
    {
    ui.lineEditAffectation2->clear();
    ui.labelAffectation3->setEnabled(false);
    ui.lineEditAffectation2->setEnabled(false);
    }
}